<!--<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

  
  <style type="text/css" media="screen">
    @import url('style.css');
    @import url('roundedcorners.css');
  </style>
  <script src="clover.js" type="text/javascript"></script>
  <script src="sorttable.js" type="text/javascript"></script>
<title> HttpCore NIO 4.2.3 </title>      
</head>
  <body onload="showContent();">
    <div id="loading">Loading...</div>
    <div style="display:none;position:relative; height:20px" id="content">
        <div id="nav">
        <ul>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-app.html">Classes</a>
            </li>
                        <li class="titleText selectable  active ">
                <a href="pkg-test.html">Tests</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-results.html">Results</a>
            </li>
                    </ul>
        </div>
    </div>
            <table class="barGraph" id="classlist"  cellspacing="0">

<tbody>
    <tr>
    <td class="sortable graphHeaderLeft tabPanel" onclick="ts_resortTable(this, 'alpha', 0);return false;">Class</td>
    <td class="sortable graphHeader tabPanel" onclick="ts_resortTable(this, 'number', 1);return false;">Coverage&nbsp;&nbsp;&nbsp;&nbsp;</td>
    </tr>
      <tr>
    <td><span class="sortValue">ContentDecoderMock</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/util/ContentDecoderMock.html#ContentDecoderMock" title="org.apache.http.nio.util.ContentDecoderMock">ContentDecoderMock</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8</span>
        <i>(80%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ContentEncoderMock</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/util/ContentEncoderMock.html#ContentEncoderMock" title="org.apache.http.nio.util.ContentEncoderMock">ContentEncoderMock</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5</span>
        <i>(50%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ExceptionEventTest</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/ExceptionEventTest.html#ExceptionEventTest" title="org.apache.http.impl.nio.reactor.ExceptionEventTest">ExceptionEventTest</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpClientNio</span>
            <a class="classlist" target="classPane" href="org/apache/http/testserver/HttpClientNio.html#HttpClientNio" title="org.apache.http.testserver.HttpClientNio">HttpClientNio</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7631579</span>
        <i>(76.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpClientNio.IOReactorThread</span>
            <a class="classlist" target="classPane" href="org/apache/http/testserver/HttpClientNio.html#HttpClientNio.IOReactorThread" title="org.apache.http.testserver.HttpClientNio.IOReactorThread">HttpClientNio.IOReactorThread</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6666667</span>
        <i>(66.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpCoreNIOTestBase</span>
            <a class="classlist" target="classPane" href="org/apache/http/HttpCoreNIOTestBase.html#HttpCoreNIOTestBase" title="org.apache.http.HttpCoreNIOTestBase">HttpCoreNIOTestBase</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpServerNio</span>
            <a class="classlist" target="classPane" href="org/apache/http/testserver/HttpServerNio.html#HttpServerNio" title="org.apache.http.testserver.HttpServerNio">HttpServerNio</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8333333</span>
        <i>(83.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpServerNio.IOReactorThread</span>
            <a class="classlist" target="classPane" href="org/apache/http/testserver/HttpServerNio.html#HttpServerNio.IOReactorThread" title="org.apache.http.testserver.HttpServerNio.IOReactorThread">HttpServerNio.IOReactorThread</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">Job</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/Job.html#Job" title="org.apache.http.nio.integration.Job">Job</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.72307694</span>
        <i>(72.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LoggingClientConnectionFactory</span>
            <a class="classlist" target="classPane" href="org/apache/http/LoggingClientConnectionFactory.html#LoggingClientConnectionFactory" title="org.apache.http.LoggingClientConnectionFactory">LoggingClientConnectionFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LoggingIOSession</span>
            <a class="classlist" target="classPane" href="org/apache/http/LoggingIOSession.html#LoggingIOSession" title="org.apache.http.LoggingIOSession">LoggingIOSession</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LoggingIOSession.LoggingByteChannel</span>
            <a class="classlist" target="classPane" href="org/apache/http/LoggingIOSession.html#LoggingIOSession.LoggingByteChannel" title="org.apache.http.LoggingIOSession.LoggingByteChannel">LoggingIOSession.LoggingByteChannel</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LoggingNHttpClientConnection</span>
            <a class="classlist" target="classPane" href="org/apache/http/LoggingNHttpClientConnection.html#LoggingNHttpClientConnection" title="org.apache.http.LoggingNHttpClientConnection">LoggingNHttpClientConnection</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5555556</span>
        <i>(55.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LoggingNHttpServerConnection</span>
            <a class="classlist" target="classPane" href="org/apache/http/LoggingNHttpServerConnection.html#LoggingNHttpServerConnection" title="org.apache.http.LoggingNHttpServerConnection">LoggingNHttpServerConnection</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5555556</span>
        <i>(55.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LoggingSSLClientConnectionFactory</span>
            <a class="classlist" target="classPane" href="org/apache/http/LoggingSSLClientConnectionFactory.html#LoggingSSLClientConnectionFactory" title="org.apache.http.LoggingSSLClientConnectionFactory">LoggingSSLClientConnectionFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LoggingSSLServerConnectionFactory</span>
            <a class="classlist" target="classPane" href="org/apache/http/LoggingSSLServerConnectionFactory.html#LoggingSSLServerConnectionFactory" title="org.apache.http.LoggingSSLServerConnectionFactory">LoggingSSLServerConnectionFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LoggingServerConnectionFactory</span>
            <a class="classlist" target="classPane" href="org/apache/http/LoggingServerConnectionFactory.html#LoggingServerConnectionFactory" title="org.apache.http.LoggingServerConnectionFactory">LoggingServerConnectionFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">NHttpClientEventHandlerAdaptor</span>
            <a class="classlist" target="classPane" href="org/apache/http/testserver/NHttpClientEventHandlerAdaptor.html#NHttpClientEventHandlerAdaptor" title="org.apache.http.testserver.NHttpClientEventHandlerAdaptor">NHttpClientEventHandlerAdaptor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.45454547</span>
        <i>(45.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">NHttpServerEventHandlerAdaptor</span>
            <a class="classlist" target="classPane" href="org/apache/http/testserver/NHttpServerEventHandlerAdaptor.html#NHttpServerEventHandlerAdaptor" title="org.apache.http.testserver.NHttpServerEventHandlerAdaptor">NHttpServerEventHandlerAdaptor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5151515</span>
        <i>(51.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">OoopsieRuntimeException</span>
            <a class="classlist" target="classPane" href="org/apache/http/OoopsieRuntimeException.html#OoopsieRuntimeException" title="org.apache.http.OoopsieRuntimeException">OoopsieRuntimeException</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ReadableByteChannelMock</span>
            <a class="classlist" target="classPane" href="org/apache/http/ReadableByteChannelMock.html#ReadableByteChannelMock" title="org.apache.http.ReadableByteChannelMock">ReadableByteChannelMock</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9375</span>
        <i>(93.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">RequestExecutionHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/RequestExecutionHandler.html#RequestExecutionHandler" title="org.apache.http.nio.integration.RequestExecutionHandler">RequestExecutionHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.82051283</span>
        <i>(82.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">RequestHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/RequestHandler.html#RequestHandler" title="org.apache.http.nio.integration.RequestHandler">RequestHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8611111</span>
        <i>(86.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">RndTestPatternGenerator</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/RndTestPatternGenerator.html#RndTestPatternGenerator" title="org.apache.http.nio.integration.RndTestPatternGenerator">RndTestPatternGenerator</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SSLTestContexts</span>
            <a class="classlist" target="classPane" href="org/apache/http/SSLTestContexts.html#SSLTestContexts" title="org.apache.http.SSLTestContexts">SSLTestContexts</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.93939394</span>
        <i>(93.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SimpleEventListener</span>
            <a class="classlist" target="classPane" href="org/apache/http/testserver/SimpleEventListener.html#SimpleEventListener" title="org.apache.http.testserver.SimpleEventListener">SimpleEventListener</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.4</span>
        <i>(40%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SimpleHttpRequestHandlerResolver</span>
            <a class="classlist" target="classPane" href="org/apache/http/testserver/SimpleHttpRequestHandlerResolver.html#SimpleHttpRequestHandlerResolver" title="org.apache.http.testserver.SimpleHttpRequestHandlerResolver">SimpleHttpRequestHandlerResolver</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SimpleIOReactorExceptionHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/SimpleIOReactorExceptionHandler.html#SimpleIOReactorExceptionHandler" title="org.apache.http.SimpleIOReactorExceptionHandler">SimpleIOReactorExceptionHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.44444445</span>
        <i>(44.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SimpleNHttpRequestHandlerResolver</span>
            <a class="classlist" target="classPane" href="org/apache/http/testserver/SimpleNHttpRequestHandlerResolver.html#SimpleNHttpRequestHandlerResolver" title="org.apache.http.testserver.SimpleNHttpRequestHandlerResolver">SimpleNHttpRequestHandlerResolver</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SimpleRequestHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/SimpleRequestHandler.html#SimpleRequestHandler" title="org.apache.http.nio.integration.SimpleRequestHandler">SimpleRequestHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.85294116</span>
        <i>(85.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAsyncNHttpHandlers</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/TestAsyncNHttpHandlers.html#TestAsyncNHttpHandlers" title="org.apache.http.nio.integration.TestAsyncNHttpHandlers">TestAsyncNHttpHandlers</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.93043476</span>
        <i>(93%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBaseIOReactorSSL</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/TestBaseIOReactorSSL.html#TestBaseIOReactorSSL" title="org.apache.http.impl.nio.reactor.TestBaseIOReactorSSL">TestBaseIOReactorSSL</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9411765</span>
        <i>(94.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicAsyncRequestConsumer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/TestBasicAsyncRequestConsumer.html#TestBasicAsyncRequestConsumer" title="org.apache.http.nio.protocol.TestBasicAsyncRequestConsumer">TestBasicAsyncRequestConsumer</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicAsyncRequestExecutionHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/TestBasicAsyncRequestExecutionHandler.html#TestBasicAsyncRequestExecutionHandler" title="org.apache.http.nio.protocol.TestBasicAsyncRequestExecutionHandler">TestBasicAsyncRequestExecutionHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9299363</span>
        <i>(93%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicAsyncRequestHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/TestBasicAsyncRequestHandler.html#TestBasicAsyncRequestHandler" title="org.apache.http.nio.protocol.TestBasicAsyncRequestHandler">TestBasicAsyncRequestHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.95454544</span>
        <i>(95.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicAsyncRequestProducer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/TestBasicAsyncRequestProducer.html#TestBasicAsyncRequestProducer" title="org.apache.http.nio.protocol.TestBasicAsyncRequestProducer">TestBasicAsyncRequestProducer</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicAsyncResponseConsumer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/TestBasicAsyncResponseConsumer.html#TestBasicAsyncResponseConsumer" title="org.apache.http.nio.protocol.TestBasicAsyncResponseConsumer">TestBasicAsyncResponseConsumer</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicAsyncResponseProducer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/TestBasicAsyncResponseProducer.html#TestBasicAsyncResponseProducer" title="org.apache.http.nio.protocol.TestBasicAsyncResponseProducer">TestBasicAsyncResponseProducer</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicNIOConnPool</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/pool/TestBasicNIOConnPool.html#TestBasicNIOConnPool" title="org.apache.http.impl.nio.pool.TestBasicNIOConnPool">TestBasicNIOConnPool</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBuffers</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/util/TestBuffers.html#TestBuffers" title="org.apache.http.nio.util.TestBuffers">TestBuffers</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestChunkDecoder</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/TestChunkDecoder.html#TestChunkDecoder" title="org.apache.http.impl.nio.codecs.TestChunkDecoder">TestChunkDecoder</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.95</span>
        <i>(95%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestChunkEncoder</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/TestChunkEncoder.html#TestChunkEncoder" title="org.apache.http.impl.nio.codecs.TestChunkEncoder">TestChunkEncoder</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9612403</span>
        <i>(96.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestChunkEncoder.FixedByteChannel</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/TestChunkEncoder.html#TestChunkEncoder.FixedByteChannel" title="org.apache.http.impl.nio.codecs.TestChunkEncoder.FixedByteChannel">TestChunkEncoder.FixedByteChannel</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.875</span>
        <i>(87.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestContentChannel</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/TestContentChannel.html#TestContentChannel" title="org.apache.http.impl.nio.TestContentChannel">TestContentChannel</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDefaultIOReactors</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/TestDefaultIOReactors.html#TestDefaultIOReactors" title="org.apache.http.impl.nio.reactor.TestDefaultIOReactors">TestDefaultIOReactors</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.96045196</span>
        <i>(96%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDefaultIOReactorsSSL</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/TestDefaultIOReactorsSSL.html#TestDefaultIOReactorsSSL" title="org.apache.http.impl.nio.reactor.TestDefaultIOReactorsSSL">TestDefaultIOReactorsSSL</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDefaultListeningIOReactor</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/TestDefaultListeningIOReactor.html#TestDefaultListeningIOReactor" title="org.apache.http.impl.nio.reactor.TestDefaultListeningIOReactor">TestDefaultListeningIOReactor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9655172</span>
        <i>(96.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestErrorResponseProducer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/TestErrorResponseProducer.html#TestErrorResponseProducer" title="org.apache.http.nio.protocol.TestErrorResponseProducer">TestErrorResponseProducer</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpAsyncHandlerCancellable</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/TestHttpAsyncHandlerCancellable.html#TestHttpAsyncHandlerCancellable" title="org.apache.http.nio.integration.TestHttpAsyncHandlerCancellable">TestHttpAsyncHandlerCancellable</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.96153843</span>
        <i>(96.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpAsyncHandlers</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/TestHttpAsyncHandlers.html#TestHttpAsyncHandlers" title="org.apache.http.nio.integration.TestHttpAsyncHandlers">TestHttpAsyncHandlers</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9906977</span>
        <i>(99.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpAsyncHandlers.DelayedRequestHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/TestHttpAsyncHandlers.html#TestHttpAsyncHandlers.DelayedRequestHandler" title="org.apache.http.nio.integration.TestHttpAsyncHandlers.DelayedRequestHandler">TestHttpAsyncHandlers.DelayedRequestHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.85</span>
        <i>(85%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpAsyncHandlers.FailingRequestHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/TestHttpAsyncHandlers.html#TestHttpAsyncHandlers.FailingRequestHandler" title="org.apache.http.nio.integration.TestHttpAsyncHandlers.FailingRequestHandler">TestHttpAsyncHandlers.FailingRequestHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpAsyncPrematureTermination</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/TestHttpAsyncPrematureTermination.html#TestHttpAsyncPrematureTermination" title="org.apache.http.nio.integration.TestHttpAsyncPrematureTermination">TestHttpAsyncPrematureTermination</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8736842</span>
        <i>(87.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpAsyncRequestExecutor</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/TestHttpAsyncRequestExecutor.html#TestHttpAsyncRequestExecutor" title="org.apache.http.nio.protocol.TestHttpAsyncRequestExecutor">TestHttpAsyncRequestExecutor</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpAsyncRequester</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/TestHttpAsyncRequester.html#TestHttpAsyncRequester" title="org.apache.http.nio.protocol.TestHttpAsyncRequester">TestHttpAsyncRequester</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9503106</span>
        <i>(95%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpAsyncService</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/TestHttpAsyncService.html#TestHttpAsyncService" title="org.apache.http.nio.protocol.TestHttpAsyncService">TestHttpAsyncService</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.98686373</span>
        <i>(98.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpMessageParser</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/TestHttpMessageParser.html#TestHttpMessageParser" title="org.apache.http.impl.nio.codecs.TestHttpMessageParser">TestHttpMessageParser</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.954023</span>
        <i>(95.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpsAsyncHandlers</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/TestHttpsAsyncHandlers.html#TestHttpsAsyncHandlers" title="org.apache.http.nio.integration.TestHttpsAsyncHandlers">TestHttpsAsyncHandlers</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestIdentityDecoder</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/TestIdentityDecoder.html#TestIdentityDecoder" title="org.apache.http.impl.nio.codecs.TestIdentityDecoder">TestIdentityDecoder</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.945</span>
        <i>(94.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestIdentityEncoder</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/TestIdentityEncoder.html#TestIdentityEncoder" title="org.apache.http.impl.nio.codecs.TestIdentityEncoder">TestIdentityEncoder</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9310345</span>
        <i>(93.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestLengthDelimitedDecoder</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/TestLengthDelimitedDecoder.html#TestLengthDelimitedDecoder" title="org.apache.http.impl.nio.codecs.TestLengthDelimitedDecoder">TestLengthDelimitedDecoder</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9617647</span>
        <i>(96.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestLengthDelimitedEncoder</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/TestLengthDelimitedEncoder.html#TestLengthDelimitedEncoder" title="org.apache.http.impl.nio.codecs.TestLengthDelimitedEncoder">TestLengthDelimitedEncoder</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9503106</span>
        <i>(95%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestNIOConnPool</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/pool/TestNIOConnPool.html#TestNIOConnPool" title="org.apache.http.nio.pool.TestNIOConnPool">TestNIOConnPool</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.97830015</span>
        <i>(97.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestNIOConnPool.LocalConnFactory</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/pool/TestNIOConnPool.html#TestNIOConnPool.LocalConnFactory" title="org.apache.http.nio.pool.TestNIOConnPool.LocalConnFactory">TestNIOConnPool.LocalConnFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestNIOConnPool.LocalPoolEntry</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/pool/TestNIOConnPool.html#TestNIOConnPool.LocalPoolEntry" title="org.apache.http.nio.pool.TestNIOConnPool.LocalPoolEntry">TestNIOConnPool.LocalPoolEntry</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestNIOConnPool.LocalSessionPool</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/pool/TestNIOConnPool.html#TestNIOConnPool.LocalSessionPool" title="org.apache.http.nio.pool.TestNIOConnPool.LocalSessionPool">TestNIOConnPool.LocalSessionPool</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestPipelining</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/TestPipelining.html#TestPipelining" title="org.apache.http.nio.integration.TestPipelining">TestPipelining</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8979592</span>
        <i>(89.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRouteSpecificPool</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/pool/TestRouteSpecificPool.html#TestRouteSpecificPool" title="org.apache.http.nio.pool.TestRouteSpecificPool">TestRouteSpecificPool</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.99378884</span>
        <i>(99.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRouteSpecificPool.LocalPoolEntry</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/pool/TestRouteSpecificPool.html#TestRouteSpecificPool.LocalPoolEntry" title="org.apache.http.nio.pool.TestRouteSpecificPool.LocalPoolEntry">TestRouteSpecificPool.LocalPoolEntry</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6666667</span>
        <i>(66.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRouteSpecificPool.LocalRoutePool</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/pool/TestRouteSpecificPool.html#TestRouteSpecificPool.LocalRoutePool" title="org.apache.http.nio.pool.TestRouteSpecificPool.LocalRoutePool">TestRouteSpecificPool.LocalRoutePool</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSessionInOutBuffers</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/TestSessionInOutBuffers.html#TestSessionInOutBuffers" title="org.apache.http.impl.nio.reactor.TestSessionInOutBuffers">TestSessionInOutBuffers</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9640884</span>
        <i>(96.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestThrottlingNHttpHandlers</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/TestThrottlingNHttpHandlers.html#TestThrottlingNHttpHandlers" title="org.apache.http.nio.integration.TestThrottlingNHttpHandlers">TestThrottlingNHttpHandlers</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.92235297</span>
        <i>(92.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestTruncatedChunks</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/TestTruncatedChunks.html#TestTruncatedChunks" title="org.apache.http.nio.integration.TestTruncatedChunks">TestTruncatedChunks</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.98039216</span>
        <i>(98%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestTruncatedChunks.BrokenChunkEncoder</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/TestTruncatedChunks.html#TestTruncatedChunks.BrokenChunkEncoder" title="org.apache.http.nio.integration.TestTruncatedChunks.BrokenChunkEncoder">TestTruncatedChunks.BrokenChunkEncoder</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7777778</span>
        <i>(77.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestTruncatedChunks.CustomServerConnectionFactory</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/TestTruncatedChunks.html#TestTruncatedChunks.CustomServerConnectionFactory" title="org.apache.http.nio.integration.TestTruncatedChunks.CustomServerConnectionFactory">TestTruncatedChunks.CustomServerConnectionFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8</span>
        <i>(80%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestTruncatedChunks.LenientAsyncResponseConsumer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/integration/TestTruncatedChunks.html#TestTruncatedChunks.LenientAsyncResponseConsumer" title="org.apache.http.nio.integration.TestTruncatedChunks.LenientAsyncResponseConsumer">TestTruncatedChunks.LenientAsyncResponseConsumer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7826087</span>
        <i>(78.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">Wire</span>
            <a class="classlist" target="classPane" href="org/apache/http/Wire.html#Wire" title="org.apache.http.Wire">Wire</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
  </tbody>
</table> <!-- End table of tests -->      </body>
</html>